Edit

OneLake Lifecycle Policy - Export Policy

Exports the OneLake lifecycle management policy for a workspace.
Returns the lifecycle management policy for a workspace. A lifecycle policy is made up of rules, which are made up of filters, actions, and conditions. A prefixMatch of "*/diagnosticLogs" applies the rule to all diagnostic events routed to that workspace.

OneLake supports the same lifecycle policy structure as Azure Storage lifecycle management, with the following exceptions:

  • OneLake does not support the TierToArchive action.
  • OneLake does not support the Delete action.
  • OneLake does not support the blobIndexMatch filter.

For more information, see OneLake lifecycle management.

Permissions

The caller must have an admin workspace role.

Required Delegated Scopes

OneLake.Read.All or OneLake.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

POST https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}/onelake/lifecycle/exportPolicy

URI Parameters

Name In Required Type Description
workspaceId
path True

string (uuid)

The workspace ID.

Responses

Name Type Description
200 OK

OneLakeWorkspaceLifecyclePolicyResponse

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred.

  • EntityNotFound - Workspace not found.

  • UserNotAuthorizedForWorkspaceLifecycle - User is not authorized for the workspace.

  • LifecycleNotAllowedForMyWorkspace - Lifecycle settings are not allowed on My Workspace.

  • PolicyNotFound - No lifecycle policy exists for this workspace.

Examples

Export OneLake lifecycle policy example

Sample request

POST https://api.fabric.microsoft.com/v1/workspaces/cfafbeb1-8037-4d0c-896e-a46fb27ff227/onelake/lifecycle/exportPolicy

Sample response

{
  "properties": {
    "lastModifiedTime": "2026-02-27T00:05:17.74123Z",
    "policy": {
      "rules": [
        {
          "name": "BasicCoolTier",
          "enabled": true,
          "type": "Lifecycle",
          "definition": {
            "actions": {
              "baseBlob": {
                "tierToCool": {
                  "daysAfterLastAccessTimeGreaterThan": 30
                }
              }
            },
            "filters": {
              "blobTypes": [
                "blockBlob"
              ]
            }
          }
        }
      ]
    }
  },
  "type": "Microsoft.Storage/storageAccounts/managementPolicies"
}

Definitions

Name Description
ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

OneLakeWorkspaceLifecyclePolicyResponse

The OneLake workspace lifecycle policy response. Contains the policy properties and type as returned by Azure Storage lifecycle management.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

OneLakeWorkspaceLifecyclePolicyResponse

The OneLake workspace lifecycle policy response. Contains the policy properties and type as returned by Azure Storage lifecycle management.

Name Type Description
properties

object

The lifecycle policy properties. The structure follows Azure Storage lifecycle management.

type

string

The ARM resource type, as returned by Azure Storage lifecycle management.